# POST /contacts/bulk-update

**Resource:** [Contacts](./contacts.md)  
**MCP tool:** `bulk_update_contacts`  
**Scopes:** `contacts:write`  
**Write operation:** yes

Update up to 100 contacts in one request. Each record must include id plus fields to change. Include archived:true to bulk-archive (or archived:false to bulk-restore).

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `records` | body | array | yes |  |

## Request example

```bash
curl -X POST   "https://api.trustpager.com/functions/v1/api/v1/contacts/bulk-update"   -H "Authorization: Bearer YOUR_API_KEY"   -H "Content-Type: application/json"   -d '{"records":"..."}'
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`